Field NationDeveloper Platform
Field NationDeveloper Platform
IntroductionQuick StartAPI Playground

Getting Started

API Reference

Overview
Create Work OrderSearch & FilterUpdate & Cancel
Work OrdersBasics

Update & Cancel

Updating, canceling, and managing work orders.


Update & Cancel

Beyond the happy-path workflow, you will need to manage details, updates, and cancellations.

Updating Work Orders

You can update almost any field of a work order (Schedule, Scope, Pay) as long as it isn't in a "locked" state (like Paid).

PUT /workorders/{id}

Only send the fields you want to change (Partial Update).

{
  "schedule": {
    "service_window": {
      "start": { "utc": "2023-12-01 10:00:00" }
    }
  }
}

Updateable Fields

FieldDescription
titleWork order title
descriptionJob description ({ html: string })
scheduleService window and timing
require_ontimeRequire on-time arrival (Hard Start)
payPay amount and type
locationJob location
contactsSite contacts
tasksChecklist tasks
custom_fieldsCustom field values
projectProject assignment ({ id: number })
clientClient tag ({ id: number })
managerManager assignment ({ id: number })
allow_counter_offersAllow provider counter offers
require_gpsRequire GPS check-in

Canceling Work Orders

To cancel a work order, use the DELETE method. You must provide a reason.

DELETE /workorders/{id}?cancel_reason=Duplicate

Fees: Canceling a work order after a provider has been assigned and dispatched may incur a cancellation fee depending on platform rules.

Get Work Order Details

Retrieve full details of a specific work order.

GET /workorders/{id}

Response Includes

  • Basic info (title, description, status)
  • Location details
  • Schedule and service window
  • Pay structure
  • Assigned provider
  • Tasks, signatures, time logs
  • Messages and attachments

Last updated on

Search & Filter

Find work orders using powerful search, filtering, and sorting parameters.

Lifecycle

Publish, Route, Assign, and complete work orders.

On this page

Update & Cancel
Updating Work Orders
Updateable Fields
Canceling Work Orders
Get Work Order Details
Response Includes